Herald
OpenapiExt

Create a new client app in a realm

Creates a client app in the specified realm. Only principals with `clients:manage` permission in the target realm may invoke this endpoint. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `clients:manage` permission in the target realm.

POST
/api/ext/realms/{realmId}/client-apps

Creates a client app in the specified realm. Only principals with clients:manage permission in the target realm may invoke this endpoint.

Authentication

Requires valid API Key via X-API-Key header

Authorization

The caller must have clients:manage permission in the target realm.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description?string|null
deviceCodeGrantEnabled?|

Enable device code grant flow for this client app. When enabled, redirect_uris may be empty (device flow has no callback).

name*string
redirectUris*array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/ext/realms/string/client-apps" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "redirectUris": [      "string"    ]  }'
{  "clientId": "string",  "clientSecret": "string",  "createdAt": "string",  "description": "string",  "enabled": true,  "id": "string",  "name": "string",  "redirectUris": [    "string"  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}